package endpoint

type Name string

var (
	EPAgeRatingCategories            Name = "age_rating_categories"
	EPAgeRatingContentDescriptions   Name = "age_rating_content_descriptions"
	EPAgeRatingContentDescriptionsV2 Name = "age_rating_content_descriptions_v2"
	EPAgeRatingOrganizations         Name = "age_rating_organizations"
	EPAgeRatings                     Name = "age_ratings"
	EPAlternativeNames               Name = "alternative_names"
	EPArtworks                       Name = "artworks"
	EPCharacterGenders               Name = "character_genders"
	EPCharacterMugShots              Name = "character_mug_shots"
	EPCharacters                     Name = "characters"
	EPCharacterSpecies               Name = "character_species"
	EPCollectionMemberships          Name = "collection_memberships"
	EPCollectionMembershipTypes      Name = "collection_membership_types"
	EPCollectionRelations            Name = "collection_relations"
	EPCollectionRelationTypes        Name = "collection_relation_types"
	EPCollections                    Name = "collections"
	EPCollectionTypes                Name = "collection_types"
	EPCompanies                      Name = "companies"
	EPCompanyLogos                   Name = "company_logos"
	EPCompanyStatuses                Name = "company_statuses"
	EPCompanyWebsites                Name = "company_websites"
	EPCovers                         Name = "covers"
	EPDateFormats                    Name = "date_formats"
	EPEventLogos                     Name = "event_logos"
	EPEventNetworks                  Name = "event_networks"
	EPEvents                         Name = "events"
	EPExternalGames                  Name = "external_games"
	EPExternalGameSources            Name = "external_game_sources"
	EPFranchises                     Name = "franchises"
	EPGameEngineLogos                Name = "game_engine_logos"
	EPGameEngines                    Name = "game_engines"
	EPGameLocalizations              Name = "game_localizations"
	EPGameModes                      Name = "game_modes"
	EPGameReleaseFormats             Name = "game_release_formats"
	EPGames                          Name = "games"
	EPGameStatuses                   Name = "game_statuses"
	EPGameTimeToBeats                Name = "game_time_to_beats"
	EPGameTypes                      Name = "game_types"
	EPGameVersionFeatures            Name = "game_version_features"
	EPGameVersionFeatureValues       Name = "game_version_feature_values"
	EPGameVersions                   Name = "game_versions"
	EPGameVideos                     Name = "game_videos"
	EPGenres                         Name = "genres"
	EPInvolvedCompanies              Name = "involved_companies"
	EPKeywords                       Name = "keywords"
	EPLanguages                      Name = "languages"
	EPLanguageSupports               Name = "language_supports"
	EPLanguageSupportTypes           Name = "language_support_types"
	EPMultiplayerModes               Name = "multiplayer_modes"
	EPNetworkTypes                   Name = "network_types"
	EPPlatformFamilies               Name = "platform_families"
	EPPlatformLogos                  Name = "platform_logos"
	EPPlatforms                      Name = "platforms"
	EPPlatformTypes                  Name = "platform_types"
	EPPlatformVersionCompanies       Name = "platform_version_companies"
	EPPlatformVersionReleaseDates    Name = "platform_version_release_dates"
	EPPlatformVersions               Name = "platform_versions"
	EPPlatformWebsites               Name = "platform_websites"
	EPPlayerPerspectives             Name = "player_perspectives"
	EPPopularityPrimitives           Name = "popularity_primitives"
	EPPopularityTypes                Name = "popularity_types"
	EPRegions                        Name = "regions"
	EPReleaseDateRegions             Name = "release_date_regions"
	EPReleaseDates                   Name = "release_dates"
	EPReleaseDateStatuses            Name = "release_date_statuses"
	EPScreenshots                    Name = "screenshots"
	EPSearch                         Name = "search"
	EPThemes                         Name = "themes"
	EPWebhooks                       Name = "webhooks"
	EPWebsites                       Name = "websites"
	EPWebsiteTypes                   Name = "website_types"
)

var AllNames = []Name{
	EPAgeRatingCategories,
	EPAgeRatingContentDescriptions,
	EPAgeRatingContentDescriptionsV2,
	EPAgeRatingOrganizations,
	EPAgeRatings,
	EPAlternativeNames,
	EPArtworks,
	EPCharacterGenders,
	EPCharacterMugShots,
	EPCharacters,
	EPCharacterSpecies,
	EPCollectionMemberships,
	EPCollectionMembershipTypes,
	EPCollectionRelations,
	EPCollectionRelationTypes,
	EPCollections,
	EPCollectionTypes,
	EPCompanies,
	EPCompanyLogos,
	EPCompanyStatuses,
	EPCompanyWebsites,
	EPCovers,
	EPDateFormats,
	EPEventLogos,
	EPEventNetworks,
	EPEvents,
	EPExternalGames,
	EPExternalGameSources,
	EPFranchises,
	EPGameEngineLogos,
	EPGameEngines,
	EPGameLocalizations,
	EPGameModes,
	EPGameReleaseFormats,
	EPGames,
	EPGameStatuses,
	EPGameTimeToBeats,
	EPGameTypes,
	EPGameVersionFeatures,
	EPGameVersionFeatureValues,
	EPGameVersions,
	EPGameVideos,
	EPGenres,
	EPInvolvedCompanies,
	EPKeywords,
	EPLanguages,
	EPLanguageSupports,
	EPLanguageSupportTypes,
	EPMultiplayerModes,
	EPNetworkTypes,
	EPPlatformFamilies,
	EPPlatformLogos,
	EPPlatforms,
	EPPlatformTypes,
	EPPlatformVersionCompanies,
	EPPlatformVersionReleaseDates,
	EPPlatformVersions,
	EPPlatformWebsites,
	EPPlayerPerspectives,
	EPPopularityPrimitives,
	EPPopularityTypes,
	EPRegions,
	EPReleaseDateRegions,
	EPReleaseDates,
	EPReleaseDateStatuses,
	EPScreenshots,
	EPSearch,
	EPThemes,
	EPWebhooks,
	EPWebsites,
	EPWebsiteTypes,
}
